Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 436916 - =sys-boot/lilo-23.2-r2 stable request
Summary: =sys-boot/lilo-23.2-r2 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard: WAS: sys-boot/lilo-22.8-r2: Fatal: Se...
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2012-10-02 03:10 UTC by Bruce Hill
Modified: 2013-03-04 17:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Hill 2012-10-02 03:10:40 UTC
There is a bug in sys-boot/lilo-22.8-r2

Fatal: Setup length exceeds 31 maximum; kernel setup will overwrite boot loader

That was fixed 2011-04-15 in 23.2:

https://alioth.debian.org/forum/forum.php?forum_id=2937
Comment 1 John Covici 2012-12-22 07:18:23 UTC
This is happening on one of my kernels and I have r2 installed, the set up length of the kernel is 16208 bytes -- how can I make it smaller, if that is the fix?
Comment 2 Bruce Hill 2012-12-22 13:58:41 UTC
(In reply to comment #1)
> This is happening on one of my kernels and I have r2 installed, the set up
> length of the kernel is 16208 bytes -- how can I make it smaller, if that is
> the fix?

The bug is in 22.8-rc, but was fixed upstream in 23.2. sys-boot/lilo-23.2-r2 works fine for me here on 8 Gentoo installs. Just one here:

baruch ~ # lilo -V
LILO version 23.2 (released 09-Apr-2011)
baruch ~ # ls -l /boot/vmlinuz-3.4.18 
-rw-r--r-- 1 root root 4259376 Nov  8 07:31 /boot/vmlinuz-3.4.18


It doesn't appear the larger Gentoo community is interested in LiLO, or any bootloader other than GrUB.
Comment 3 Nathan Shearer 2013-02-23 12:33:22 UTC
I can confirm that this bug exists in lilo-22.8-r2 and it is fixed in lilo-23.2-r2.

I encountered it while installing Gentoo on my Acer Iconia w700 tablet. The easy solution is to just unmask and install lilo-23.2-r2.

It would probably be best if lilo-23.2-r2 was marked as stable in portage.
Comment 4 Tony Vroon gentoo-dev 2013-02-23 13:50:13 UTC
Arches, please test and mark stable =sys-boot/lilo-23.2-r2
Comment 5 Agostino Sarubbo gentoo-dev 2013-02-24 12:12:39 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2013-02-24 12:15:55 UTC
x86 stable. Last arch, closing
Comment 7 Tony Vroon gentoo-dev 2013-03-04 15:16:45 UTC
Keywords appear to have been applied to 22.8-r2 instead of 23.2-r2; I can see how it would happen... but please redo it?
Comment 8 Agostino Sarubbo gentoo-dev 2013-03-04 17:02:44 UTC
sorry for the misunderstanding, my bad.
Comment 9 Agostino Sarubbo gentoo-dev 2013-03-04 17:04:10 UTC
amd64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2013-03-04 17:04:20 UTC
x86 stable. Last arch, closing